The TI E2E™ design support forums will undergo maintenance from Sept. 28 to Oct. 2. If you need design support during this time, contact your TI representative or open a new support request with our customer support center.

This thread has been locked.

If you have a related question, please click the "Ask a related question" button in the top right corner. The newly created question will be automatically linked to this question.

TMS320F280039C: Build errors during c2000ware migration from V4.00 to V4.01

Part Number: TMS320F280039C
Other Parts Discussed in Thread: C2000WARE, SYSCONFIG

Dear Champs,

I am asking this for our customer.

The user has used CCS with compiler V21.6 and C2000ware V4.00 for many months and it works well.

Now, they are trying to migrate it from c2000ware V4.00 to V4.01, but found errors below.

1. Originally, the user tried to use Project->Properties->General->Products and changed it from c2000ware V4.00 to V4.01 and then changed the device.c and driverlib.lib/.h, used in the project from V4.00 to V4.01. But the got the same errors above. We confirmed all the include paths were correctly changed from V4.00 to V4.01 in Project->Properties->Build->C2000 compilers->include options.

2. The user then tried to converge the problem. He kept same V4.00 in Project->Properties->General->Products and only changed driverlib.lib/.h from V4.01, and he can get the same error above.

Therefore, it seems the errors are related to the new driverlib.lib and driverlib.h.

Questions:

1. Would you please help us why and how to solve the above errors?

2. Is there any consideration when a user migrates from V4.00 to V4.01?

 

3. What is the standard migration to upgrade c2000ware? Did we do anything wrong if we just used Project->Properties->General->Products and changed it from c2000ware V4.00 to V4.01 and then changed the device.c and driverlib.lib/.h, used in the project from older c2000ware to newer c2000ware?

Wayne Huang